<!DOCTYPE html>
<html>
    <head>
        <meta charset="UTF-8">
        <title>SlicesService</title>
        <!-- <script src="http://use.edgefonts.net/source-sans-pro;source-code-pro.js"></script> -->
<link href='http://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,700,300italic,400italic,700italic|Source+Code+Pro:300,400,700' rel='stylesheet' type='text/css'>
<link rel="stylesheet" href="../assets/css/bootstrap.css">
<link rel="stylesheet" href="../assets/css/jquery.bonsai.css">
<link rel="stylesheet" href="../assets/css/main.css">
<link rel="stylesheet" href="../assets/css/icons.css">
<script type="text/javascript" src="../assets/js/jquery-2.1.0.min.js"></script>
<script type="text/javascript" src="../assets/js/bootstrap.js"></script>
<script type="text/javascript" src="../assets/js/jquery.bonsai.js"></script>
<!-- <script type="text/javascript" src="../assets/js/main.js"></script> -->

    </head>
    <body>
        <div>

            <!-- Name Title -->

            <h1>SlicesService</h1>

            <!-- Type and Stereotype -->

            <section style="margin-top: .5em;">
                <span class="alert alert-info">
                    <span class="node-icon _icon-UMLClass"></span>
                    UMLClass
                </span>
                
                    <span style="margin-left: 10px" class="alert alert-info">«@Path=(&quot;&lt;host:5000&gt;/SDS_API/resources/Slices/{type}&quot;)»</span>
                
            </section>

            <!-- Path -->

            <section style="margin-top: 10px">
                
                
                
                    
                    <span class="label label-info"><a href='cf9c8b720f3815adeccaf3ef6e48c6c4.html'><span class='node-icon _icon-Project'></span>SDS_API</a></span>
                
                    <span>::</span>
                    <span class="label label-info"><a href='594af663de577680f35b13183109d675.html'><span class='node-icon _icon-UMLModel'></span>Clases</a></span>
                
                    <span>::</span>
                    <span class="label label-info"><a href='ddeb573b1420df4f646b07d339184d4b.html'><span class='node-icon _icon-UMLClass'></span>«@Path=(&quot;&lt;host:5000&gt;/SDS_API/resources/Slices/{type}&quot;)»SlicesService</a></span>
                
            </section>

            <!-- Diagram -->

            

            <!-- Description -->

            
            <section>
                <h3>Description</h3>
                <div>
                    
                        <span class="label label-info">none</span>
                    
                </div>
            </section>
            

            <!-- Specification -->

            

            <!-- Directed Relationship -->

            

            <!-- Undirected Relationship -->

            

            <!-- Classifier -->

            
                
                
<section class="element-list">
    <h3>Generalized Elements</h3>
    <ul class="nav nav-list">
        
        <li><a href='831504b00b14841ba3f7f888560aaa66.html'><span class='node-icon _icon-UMLClass'></span>«@Path=(&quot;&lt;host:5000&gt;/SDS_API/&quot;)»Service</a></li>
        
    </ul>
</section>



                
                
<section class="element-list">
    <h3>Specialized Elements</h3>
    <ul class="nav nav-list">
        
        <li><a href='e972ba99b417f4ece22ff7d9e06bcc93.html'><span class='node-icon _icon-UMLClass'></span>«@Path=(&quot;&lt;host:5000&gt;/SDS_API/resources/Slices/goose&quot;)»GooseService</a></li>
        
        <li><a href='27eecc9ba063b363f36a9059680bdc61.html'><span class='node-icon _icon-UMLClass'></span>«@Path=(&quot;&lt;host:5000&gt;/SDS_API/resources/Slices/dmp3&quot;)»DNP3Service</a></li>
        
    </ul>
</section>



                
                


                
                


                
                

            

            <!-- Interface -->

            

            <!-- Component -->

            

            <!-- Node -->

            

            <!-- Actor -->

            

            <!-- Use Case -->

            

            <!-- Template Parameters -->

            

            <!-- Literals -->

            

            <!-- Attributes -->

            
            <section>
                <h3>Attributes</h3>
                <table class="table table-striped table-bordered">
                    <tr>
                        <th>Visibility</th>
                        <th>Name</th>
                        <th>Type</th>
                        <th>Description</th>
                    </tr>
                    
                    <tr>
                        <td>private</td>
                        <td><a href="53c5162c7014178808d746e000d8bca5.html">resource</a></td>
                        <td>String</td>
                        <td></td>
                    </tr>
                    
                </table>
            </section>
            

            <!-- Operations -->

            
            <section>
                <h3>Operations</h3>
                <table class="table table-striped table-bordered">
                    <tr>
                        <th>Visibility</th>
                        <th>Name</th>
                        <th>Description</th>
                    </tr>
                    
                    <tr>
                        <td>protected</td>
                        <td><a href="8e51d15ef112c21325e42fddb55bef4f.html">getResource(): String</a></td>
                        <td></td>
                    </tr>
                    
                    <tr>
                        <td>public</td>
                        <td><a href="4ba0734afa3dcc51efe842de7b9dfce1.html">getService()</a></td>
                        <td><p>Nota: Se debe usar en conjunto con el QueryString &quot;Id&quot; para identificar el Slice específico sobre el cual realizar la consulta. Si no se especifica nada se devuelve información sobre todos los Slices configurados.</p></td>
                    </tr>
                    
                    <tr>
                        <td>public</td>
                        <td><a href="bbebaeb13874ae03a5985ea6ff919e22.html">postService()</a></td>
                        <td></td>
                    </tr>
                    
                    <tr>
                        <td>public</td>
                        <td><a href="e3f5cb61e1410ca98fabb58452d11841.html">putService()</a></td>
                        <td><p>Nota: Se debe usar en conjunto con el QueryString &quot;Id&quot; para identificar el Slice específico sobre el cual realizar el cambio. Si no se especifica nada devuelve un mensaje de error que indica la ausencia de dicha información.</p></td>
                    </tr>
                    
                    <tr>
                        <td>public</td>
                        <td><a href="567a85bf801754efb649a3b5168c74d6.html">deleteService()</a></td>
                        <td><p>Nota: Se debe usar en conjunto con el QueryString &quot;Id&quot; para identificar el Slice específico a eliminar. Si no se especifica nada se eliminan TODOS los Slices del tipo especificado.</p></td>
                    </tr>
                    
                </table>
            </section>
            

            <!-- Receptions -->

            

            <!-- Extension Points -->

            

            <!-- Parameters -->

            

            <!-- Diagrams -->

            
            

            <!-- Behavior -->

            

            <!-- Action -->

            

            <!-- Interaction -->

            

            <!-- CombinedFragment -->

            

            <!-- Activity -->

            

            <!-- State Machine -->

            

            <!-- State Machine -->

            

            <!-- State -->

            

            <!-- Vertex -->

            

            <!-- Transition -->

            

            <!-- Properties -->

            <section>
                <h3>Properties</h3>
                
                <table class="table table-striped table-bordered">
    <tr>
        <th width="50%">Name</th>
        <th width="50%">Value</th>
    </tr>
    
    
    
    
    
    
    
    <tr>
        <td>name</td>
        <td>SlicesService</td>
    </tr>
    
    
    
    
    
    
    
    
    
    
    
    <tr>
        <td>stereotype</td>
        <td>@Path=(&quot;&lt;host:5000&gt;/SDS_API/resources/Slices/{type}&quot;)</td>
    </tr>
    
    
    
    
    
    <tr>
        <td>visibility</td>
        <td>public</td>
    </tr>
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    <tr>
        <td>isAbstract</td>
        <td><span class='label label-info'>false</span></td>
    </tr>
    
    
    
    
    
    <tr>
        <td>isFinalSpecialization</td>
        <td><span class='label label-info'>false</span></td>
    </tr>
    
    
    
    
    
    <tr>
        <td>isLeaf</td>
        <td><span class='label label-info'>false</span></td>
    </tr>
    
    
    
    
    
    <tr>
        <td>isActive</td>
        <td><span class='label label-info'>false</span></td>
    </tr>
    
    
    
</table>                

            </section>

            <!-- Tags -->

            

            <!-- Constraints, Dependencies, Dependants -->

            
                
                


                
                


                
                

            

            <!-- Relationships -->

            
            
<section class="element-list">
    <h3>Relationships</h3>
    <ul class="nav nav-list">
        
        <li><a href='c08f78dcc41e08466669f7dee7539450.html'><span class='node-icon _icon-UMLGeneralization'></span>(SlicesService→Service)</a></li>
        
        <li><a href='db10c8c1ed1ac0ba29725ad87eea602e.html'><span class='node-icon _icon-UMLGeneralization'></span>(GooseService→SlicesService)</a></li>
        
        <li><a href='291e1baa05f7c6434e4d6eec0b739254.html'><span class='node-icon _icon-UMLGeneralization'></span>(DNP3Service→SlicesService)</a></li>
        
    </ul>
</section>



            <!-- Owned Elements -->

            
            
<section class="element-list">
    <h3>Owned Elements</h3>
    <ul class="nav nav-list">
        
        <li><a href='c08f78dcc41e08466669f7dee7539450.html'><span class='node-icon _icon-UMLGeneralization'></span>(SlicesService→Service)</a></li>
        
    </ul>
</section>



        </div>
    </body>
</html>
